# Get person

### Input

User needs to provide company number

<table><thead><tr><th width="181">Attribute</th><th width="348">Type</th><th>Description</th></tr></thead><tbody><tr><td>companyNumber</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr><tr><td>tradeBoards</td><td>String</td><td>Comma separated values which symbols of Italian Chambers of Commerce that narrow searching scope eg. <code>MI,BR,PC</code> (optional)</td></tr></tbody></table>

### Output

| Attribute  | Type   | Description                                     |
| ---------- | ------ | ----------------------------------------------- |
| personId   | Number | Sequence number                                 |
| personData | Object | Contains detailed information about the person. |

**PersonData**

Contains detailed information about a specific person.

| Attribute                  | Type   | Description                           |
| -------------------------- | ------ | ------------------------------------- |
| surname                    | String | The surname of the person.            |
| name                       | String | The name of the person.               |
| provinceOfBirth            | String | The province code of birth.           |
| descriptionOfBirthProvince | String | Description of the province of birth. |
| dateOfBirth                | String | The date of birth of the person.      |
| taxCode                    | String | The tax code of the person.           |
| alternateCode              | String | Alternate code of the person.         |

```json
{
    "infocamere": {
      "personId": 1,
      "personData": {
        "surname": "BARONE",
        "name": "FRANCESCO",
        "provinceOfBirth": "BG",
        "descriptionOfBirthProvince": "BERGAMO",
        "dateOfBirth": "1990-04-12",
        "taxCode": "BRNFNC90D12L400P",
        "alternateCode": "BRNFNC90D12L400P"
      }
    }
  }
```

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/infocamere/company-profile/get-person.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
